hadoop-common-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Chris Nauroth (JIRA)" <j...@apache.org>
Subject [jira] [Updated] (HADOOP-10539) Provide backward compatibility for ProxyUsers.authorize() call
Date Thu, 24 Apr 2014 21:11:16 GMT

     [ https://issues.apache.org/jira/browse/HADOOP-10539?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Chris Nauroth updated HADOOP-10539:
-----------------------------------

          Component/s: security
     Target Version/s: 3.0.0, 2.5.0
    Affects Version/s: 2.5.0
                       3.0.0
         Hadoop Flags: Reviewed

+1 for the patch.  I'll commit this.

> Provide backward compatibility for ProxyUsers.authorize() call
> --------------------------------------------------------------
>
>                 Key: HADOOP-10539
>                 URL: https://issues.apache.org/jira/browse/HADOOP-10539
>             Project: Hadoop Common
>          Issue Type: Improvement
>          Components: security
>    Affects Versions: 3.0.0, 2.5.0
>            Reporter: Benoy Antony
>            Assignee: Benoy Antony
>            Priority: Minor
>         Attachments: HADOOP-10539.patch, HADOOP-10539.patch
>
>
> HADOOP-10499  removed the unused _Configuration_ parameter from _ProxyUsers.authorize()_
 method. 
> This broke few components like HBase who invoked that function and forced it to rely
on Reflection.



--
This message was sent by Atlassian JIRA
(v6.2#6252)

Mime
View raw message